package com.prolog.cs.biz.outbound.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel
public class PickMoveCountDTO implements Serializable {

    private static final long serialVersionUID = -4214974549034399067L;
    @ApiModelProperty(value = "建筑物id")
    private String bldgId;

    @ApiModelProperty(value = "建筑物名称")
    private String bldgName;

//    @ApiModelProperty(value = "数量")
//    private int count;

    @ApiModelProperty(value = "主动补货数量（待索取）")
    private int activeMoveCount;

    @ApiModelProperty(value = "被动补货数量（待索取）")
    private int passiveMoveCount;

    public String getBldgId() {
        return bldgId;
    }

    public void setBldgId(String bldgId) {
        this.bldgId = bldgId;
    }

    public String getBldgName() {
        return bldgName;
    }

    public void setBldgName(String bldgName) {
        this.bldgName = bldgName;
    }

//    public int getCount() {
//        return count;
//    }
//
//    public void setCount(int count) {
//        this.count = count;
//    }

    public int getActiveMoveCount() {
        return activeMoveCount;
    }

    public void setActiveMoveCount(int activeMoveCount) {
        this.activeMoveCount = activeMoveCount;
    }

    public int getPassiveMoveCount() {
        return passiveMoveCount;
    }

    public void setPassiveMoveCount(int passiveMoveCount) {
        this.passiveMoveCount = passiveMoveCount;
    }
}
